=== platforms/Cross/plugins/Mpeg3Plugin/libmpeg/Makefile ===
### automatically generated by ./mkMakefile
### settings for building libmpeg by itself

LIBMPEG_CC=cc
LIBMPEG_CFLAGS=
LIBMPEG_LINKLIB=ar rcs
LIBMPEG_NASM=nasm -f elf
LIBMPEG_SOURCE_DIR=.
LIBMPEG_BUILD_DIR=.
LIBMPEG_OBJECT_EXT=o
LIBMPEG_LIBRARY_EXT=a


### default rule: build the library
default : libmpeg3.a


### Update the makefile when needed
Makefile : mkMakefile
	./mkMakefile 

#### automatically generated by ./mkMakefile
# flags for compiling libmpeg
LIBMPEG_CFLAGS += -I$(LIBMPEG_SOURCE_DIR) -I$(LIBMPEG_SOURCE_DIR)/audio -I$(LIBMPEG_SOURCE_DIR)/video

# a file that indicates the build tree has been created
LIBMPEG_BUILD_DIR_CREATED=$(LIBMPEG_BUILD_DIR)/tree.created

LIBMPEG_CFLAGS += -DNOPTHREADS

$(LIBMPEG_BUILD_DIR_CREATED):
	mkdir -p $(LIBMPEG_BUILD_DIR)
	mkdir -p $(LIBMPEG_BUILD_DIR)/audio
	mkdir -p $(LIBMPEG_BUILD_DIR)/video
	touch $(LIBMPEG_BUILD_DIR_CREATED)
$(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/bitstream.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/bitstream.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/libmpeg3.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/libmpeg3.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3atrack.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3atrack.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3demux.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3demux.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3io.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3io.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3title.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3title.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/mpeg3vtrack.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/mpeg3vtrack.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/changesForSqueak.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/changesForSqueak.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/dct.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/dct.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/header.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/header.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/layer2.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/layer2.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/layer3.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/layer3.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/mpeg3audio.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/mpeg3audio.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/pcm.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/pcm.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/synthesizers.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/synthesizers.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/audio/tables.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/audio/tables.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/getpicture.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/getpicture.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/headers.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/headers.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/idct.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/idct.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/macroblocks.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/macroblocks.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/mmxtest.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/mmxtest.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/motion.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/motion.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/mpeg3video.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/mpeg3video.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/output.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/output.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/reconstruct.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/reconstruct.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/seek.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/seek.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/slice.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/slice.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT): $(LIBMPEG_BUILD_DIR_CREATED) $(LIBMPEG_SOURCE_DIR)/video/vlc.c
	$(LIBMPEG_CC) -o $(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT) -c $(LIBMPEG_SOURCE_DIR)/video/vlc.c  $(LIBMPEG_CFLAGS) 

$(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_LIBRARY_EXT):  $(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT)
	$(LIBMPEG_LINKLIB) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_LIBRARY_EXT)  $(LIBMPEG_BUILD_DIR)/bitstream.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3atrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3demux.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3io.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3title.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/mpeg3vtrack.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/changesForSqueak.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/dct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/header.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer2.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/layer3.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/mpeg3audio.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/pcm.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/synthesizers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/audio/tables.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/getpicture.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/headers.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/idct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/macroblocks.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mmxtest.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/motion.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/mpeg3video.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/output.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/reconstruct.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/seek.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/slice.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/video/vlc.$(LIBMPEG_OBJECT_EXT)

clean: clean_libmpeg

clean_libmpeg:
	rm -f $(LIBMPEG_BUILD_DIR)/*.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/*/*.$(LIBMPEG_OBJECT_EXT) $(LIBMPEG_BUILD_DIR)/libmpeg3.$(LIBMPEG_LIBRARY_EXT) $(LIBMPEG_BUILD_DIR_CREATED)

#### end of rules generated by ./mkMakefile
