=== debian/changelog ===
squeak-vm (1:4.10.2.2614+20120917~dfsg-1) unstable; urgency=medium

  * update copyright info:
    + rewrite to use machine-readable format 1.0
  * update copyright info:
    + fix repackage upstream source,
      excluding problematic plugins for NPAPI
      (vaguely licensed and uses insecure tempfile)
      and QuickTime (non-DFSG licensed),
      some documentation without source,
      and some convenience code copies
    + exclude unused files from repackaged source
    + update coverage;
    + add lintian overrides about Reference field
      (see bug#786450)
  * update watch file:
    + bump to file format 4
    + track git commits (not tarball releases)
    + mention gbp --uscan in usage comment
  * add source helper script copyright-check
  * update file paths in source package
    to match repackaged git-tracked upstream source
  * add patch 2001 to avoid missing plugin npsqueak

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Nov 2021 04:48:50 +0100

squeak-vm (1:4.10.2.2614-9) unstable; urgency=medium

  * update Homepage and watch URIs

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Nov 2021 13:02:44 +0100
