=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=4.10.2.2614+%cd~dfsg,\
dversionmangle=auto \
https://github.com/OpenSmalltalk/opensmalltalk-vm HEAD
